Subject: [Lsr] IANA Early Allocation for "Advertising L2 Bundle Member Link Attributes in OSPF" - draft-ietf-lsr-ospf-l2bundles-00

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 19 Apr 2021 14:01:54 +0000

Hi John, IANA,

The authors have requested early IANA allocation for the subject draft to facilitate implementation.

The following sub-TLV is added to the OSPFv2 Extended Link TLV sub-TLVs registry under the OSPFv2 Parameters IANA registry:

   Value: Suggested Value - 24

   Name: L2 Bundle Member Attributes

https://www.iana.org/assignments/ospfv2-parameters/ospfv2-parameters.xhtml#extended-link-tlv-sub-tlvs

   The following sub-TLV is added to the OSPFv3 Extended LSA sub-TLVs
   registry under the OSPFv3 Parameters IANA registry:

   Value: Suggested Value – 29

   Name: L2 Bundle Member Attributes

https://www.iana.org/assignments/ospfv3-parameters/ospfv3-parameters.xhtml#extended-lsa-sub-tlvs

Very similar function already exists for IS-IS as defined in RFC 8668 - https://datatracker.ietf.org/doc/rfc8668/

Thanks,
Acee

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 19 Apr 2021 16:51:24 +0000

This draft also meets the RFC 7120 section 2 requirements and is a target for WG last call. The function has been implemented in IS-IS (RFC 8668) and the OSPF functionality is analogous.

Thanks,
Acee

From: Acee Lindem <[email-masked]>
Date: Monday, April 19, 2021 at 10:01 AM
To: John Scudder <[email-masked]>, IANA <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: IANA Early Allocation for "Advertising L2 Bundle Member Link Attributes in OSPF" - draft-ietf-lsr-ospf-l2bundles-00

Hi John, IANA,

Thanks,
Acee

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Mon, 19 Apr 2021 23:24:58 +0000

Hi,

We've made the following RFC 7120 early allocations:

In the OSPFv2 Extended Link TLV Sub-TLVs registry:

24	L2 Bundle Member Attributes (TEMPORARY - registered 2021-04-19, expires 2022-04-19)	[draft-ietf-lsr-ospf-l2bundles-00]

Please see
https://www.iana.org/assignments/ospfv2-parameters

In the OSPFv3 Extended-LSA Sub-TLVs registry:

29	L2 Bundle Member Attributes (TEMPORARY - registered 2021-04-19, expires 2022-04-19)	[draft-ietf-lsr-ospf-l2bundles-00]

Please see
https://www.iana.org/assignments/ospfv3-parameters

If the document hasn't been approved for publication by March, we'll contact you about renewing.

Best regards,

Amanda Baber
Lead IANA Services Specialist

On Mon Apr 19 21:05:14 2021, [email-masked] wrote:
> Yes, please do. Thanks.
> 
> —John
> 
> > On Apr 19, 2021, at 4:40 PM, Amanda Baber via RT <iana-prot-
> > [email-masked]> wrote:
> >
> >
> > Hi John,
> >
> > Can we move forward with this one?
> >
> > thanks,
> > Amanda
> >
> >> On Mon Apr 19 16:51:29 2021, [email-masked] wrote:
> >> This draft also meets the RFC 7120 section 2 requirements and is a
> >> target for WG last call. The function has been implemented in IS-IS
> >> (RFC 8668) and the OSPF functionality is analogous.
> >>
> >> Thanks,
> >> Acee
> >>
> >>
> >> Cc: "[email-masked]" <[email-masked]>, "draft-ietf-lsr-ospf-
> >> [email-masked]" <[email-masked]>
> >> Subject: IANA Early Allocation for "Advertising L2 Bundle Member
> >> Link
> >> Attributes in OSPF" - draft-ietf-lsr-ospf-l2bundles-00
> >>
> >> Hi John, IANA,
> >>
> >> The authors have requested early IANA allocation for the subject
> >> draft
> >> to facilitate implementation.
> >>
> >> The following sub-TLV is added to the OSPFv2 Extended Link TLV sub-
> >> TLVs registry under the OSPFv2 Parameters IANA registry:
> >>
> >> https://urldefense.com/v3/__https://www.iana.org/assignments/ospfv2-
> >> parameters/ospfv2-__;!!NEt6yMaO-
> >> gk!TzmXdQ9Zw6POSkjszruPsZCl2qNmoariZCfXO-TrK08S5N0QS39HeoVfCZjlhg$
> >> parameters.xhtml#extended-link-tlv-sub-tlvs
> >>
> >> https://urldefense.com/v3/__https://www.iana.org/assignments/ospfv3-
> >> parameters/ospfv3-__;!!NEt6yMaO-
> >> gk!TzmXdQ9Zw6POSkjszruPsZCl2qNmoariZCfXO-TrK08S5N0QS39HeoW9z27P9g$
> >> parameters.xhtml#extended-lsa-sub-tlvs
> >>
> >> Very similar function already exists for IS-IS as defined in RFC
> >> 8668
> >> -
> >> https://urldefense.com/v3/__https://datatracker.ietf.org/doc/rfc8668/__;!!NEt6yMaO-
> >> gk!TzmXdQ9Zw6POSkjszruPsZCl2qNmoariZCfXO-TrK08S5N0QS39HeoUYAGpQQA$
> >>
> >> Thanks,
> >> Acee
> >>
> >>
> >>
> >>
> >

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Tue, 20 Apr 2021 03:58:30 +0000

Thanks Acee, John and Amanda.

-----Original Message-----
From: Amanda Baber via RT <[email-masked]> 
Sent: 20 April 2021 04:55
To: Acee Lindem (acee) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [IANA #1195548] IANA Early Allocation for "Advertising L2 Bundle Member Link Attributes in OSPF" - draft-ietf-lsr-ospf-l2bundles-00

Hi,

Please see

Please see

Best regards,

Amanda Baber

On Mon Apr 19 21:05:14 2021, [email-masked] wrote:
> >> Link Attributes in OSPF" - draft-ietf-lsr-ospf-l2bundles-00
> >>
> >> Hi John, IANA,
> >>
> >> draft to facilitate implementation.
> >>